Skip to main content
PATCH
Update a customer workspace

Authorizations

Authorization
string
header
required

Partner API only (/v4/partner/*): a Partner API key (format: mgp_) from the Partner portal. Its workspace tokens (mgw…) authenticate on the other Platform API endpoints like an API key, for one customer workspace.

Path Parameters

companyId
string<uuid>
required

The managed customer workspace (company id)

Body

application/json
companyName
string
Required string length: 1 - 100
communicationOwner
enum<string>
Available options:
partner,
meetergo

Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
companyId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
companyName
string
required
admin
object
required
tier
enum<string>
required
Available options:
basic,
essentials,
growth,
teams,
light,
suite,
premium,
enterprise
billingResponsibility
enum<string>
required
Available options:
partner,
customer
partnerRetailPricePerSeatEur
required
Pattern: ^(?:0|[1-9]\d{0,5})(?:\.\d{1,2})?$
communicationOwner
enum<string>
required
Available options:
partner,
meetergo
licensedSeats
integer
required
Required range: 0 <= x <= 9007199254740991
partnerBillableSeats
integer
required
Required range: 0 <= x <= 9007199254740991
estimatedMonthlyNetCents
integer
required
Required range: 0 <= x <= 9007199254740991
activePartnerAccess
boolean
required
isPartnerDemo
boolean
required
createdAt
string<date-time>
required
bookingPageUrl
required